
Redmine - Feature #2954

Ability to filter out duplicate issues

2009-03-11 22:30 - Bobby Birks

Status: Closed Start date: 2009-03-11

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I was taking advantage of the new filter from #1678 allowing me to quickly enter estimated times we'd omitted from a new project.

However, I decided I wasn't going to enter times for issues marked "duplicates X" since we were estimating the time elsewhere in

these cases.

As a result, I have issues remaining in my "To Estimate" filter, but I can't tell at a glance which ones I need to make an estimate for

and which ones are simply duplicates I'll never estimate. Ideally, I'd be able to exclude duplicate issues from a filter entirely if I so

chose.

Granted, if we're going to bother with this at all, might as well allow filtering for "is duplicate" or "is not duplicate" since the extra work

involved to support both should be minimal. In my case this would allow both omitting duplicates from the list of things to estimate as

well as finding duplicates with estimates that need to be cleared out.

For reference, there's a semi-related issue #1721 which seemed to request the reverse of this issue (namely, the ability to find items

"duplicated by X").

Related issues:

Is duplicate of Redmine - Feature #3265: Filter on issue relations Closed 2009-04-29

History

#1 - 2009-03-16 09:42 - Vasia Pupkin

+1

#2 - 2010-05-19 20:41 - Nick Waggy

- File redmine.duplicates.filter.patch added

- Status changed from New to Resolved

- % Done changed from 0 to 100

I needed to filter duplicated issues as well.  So, here is a patch.

Sorry if I did it the wrong way, I have no experience writing in Ruby.

#3 - 2011-04-12 09:18 - Etienne Massip

- Category set to Issues

- Status changed from Resolved to New

#4 - 2012-09-27 21:14 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Dup of more generic #3265.

Files

redmine.duplicates.filter.patch 1.68 KB 2010-05-19 Nick Waggy
